<?php

/* WorldKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

if ($sys['payment']['wk_id'] && $sys['payment']['wk_hash']) {

    $strow = $connect->prepare("select * from `plus` where `num` = ?");
    $plus = $connect->prepare("update `plus` set `status` = ? where `id` = ?");

    if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) &&
        isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) &&
        isset($_POST['summa']) && is_numeric($_POST['summa']) &&
        isset($_POST['hash'])) {

        /* Проверка */

        $strow->execute(array($_POST['id_bill']));
        $row = $strow->fetch();

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($row['status'] == 1)
            exit('ERR: НЕДЕЙСТВИТЕЛЬНЫЙ ПЛАТЁЖ!');

        if ($_POST['summa'] < $row['sum'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        $hash = md5(

            $sys['payment']['wk_hash'].
            $sys['payment']['wk_id'].
            $_POST['id_bill'].
            $_POST['summa']

        );

        if ($hash != $_POST['hash'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');

        // пополнение
        if (pay($row['sum'], $row['uid']))
            $plus->execute(array(1, $row['id']));

    }

}

 ?>